Passer au contenu principal
GET
/
v1
/
aggregators
List aggregators
curl --request GET \
  --url https://api.hyperline.co/v1/aggregators \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "<string>",
      "entity": "<string>",
      "property": "<string>",
      "where": {
        "fields": [
          {
            "property": "<string>"
          }
        ]
      },
      "name": "<string>",
      "description": "<string>",
      "allow_negative_values": true,
      "aggregate_on_customers_enabled": true,
      "default_interval_count": 123,
      "custom_event_name": "<string>",
      "exposed_event_keys": [
        "<string>"
      ],
      "unit_name": "<string>",
      "thresholds": [
        {
          "id": "<string>",
          "name": "<string>",
          "threshold_value": 123
        }
      ],
      "created_at": "2023-12-25",
      "updated_at": "2023-12-25",
      "formula_sql": "<string>"
    }
  ]
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

take
number | null
défaut:50
Plage requise: 0 <= x <= 100
skip
number | null
défaut:0
Plage requise: x >= 0

Réponse

200 - application/json
meta
object
requis
data
object[]
requis

List of Aggregator.